Documentation
API v1
Go Links
List, search, and save go links.
Working with an AI agent?or point it at the Go Links markdown or the full-API markdown.
List Go Links
GET
/api/v1/go/findList all go links or search for go links by query
| Parameter | Type | Description |
|---|---|---|
| q | string optional | Search query |
Response:
{
links: {
name: string;
description: string;
url: string;
}[]
}Save Go Link
POST
/api/v1/go/saveUpdate existing or create a new Go Link.
| Parameter | Type | Description |
|---|---|---|
| name | string required | Name of the go link to update |
| url | string optional | URL of the go link |
| description | string optional | Description of the go link |
Response:
{
id: number;
name: string;
url: string;
description: string;
}